use irsc::{Client, Config};

#[allow(unused_macros)]
macro_rules! loop_n {
    ($n:expr, $c:expr) => {{
        for _ in 0..$n {
            $c
        }
    }};
}

fn main() {
    let config = Config::new("test", None, Some("+B"));
    let mut client =
        Client::new("192.168.1.28", 6667, config).expect("Unable to connect to IRC server");

    loop {
        if let Some(line) = client.read_string() {
            print!("{}", line);
        }
    }
}
